.fill-svg{
    fill: black !important;
    transition: all 0.5s ease-in-out;
}

.stroke-svg{
    stroke: black !important;
    transition: all 0.5s ease-in-out;
}

.fill-svg-anim{
    fill: white;
    transition: all 0.5s ease-in-out;
}
.stroke-svg-anim{
    stroke: white;
    transition: all 0.5s ease-in-out;
}

.fill-svg-anim.navbarFillBlack{
    fill: black;
    transition: all 0.5s ease-in-out;
}

.stroke-svg-anim.navbarStrokeBlack{
    stroke: black;
    transition: all 0.5s ease-in-out;
}

.nav-content{
    background-color: rgba(255,255,255,0);
    transition: all 0.5s ease-in-out;
}

.nav-content.navcontent-active{
    background-color: rgba(255,255,255,1);
    transition: all 0.5s ease-in-out;
}

.nav-lines{
    position: relative;
}




.search-icon{
    height: 35px;
    padding: 0px 10px;
    overflow: hidden;
}

.search-icon-link{
    display: flex;
    background-color: rgba(255,255,255,0);
    padding: 4px 8px;
    align-items: center;
    transition: 0.5s all ease 0.3s;
}

.search-icon-link-active{
    
    background-color: rgba(255,255,255,1);
    transition: 0.5s all ease;
    

}

.search-icon-more{
    overflow: hidden;
    width: 0px;
    min-width: 0px;
    transition: 0.5s all ease ;
    & input {
        margin: 0px 4px;
        padding: 8px 10px; /* Add padding */
        font-size: 16px; /* Adjust font size */
        border-radius: 4px; /* Add border radius for rounded corners */
        transition: border-color 0.3s ease; /* Add transition for border color */

        &:focus {/* Change border color on focus */
            outline: none; /* Remove the default focus outline */
        }
    }
}

.nav-grid{
    grid-template-columns: 1fr auto 1fr;
}

.close-search svg{
    height: 2rem ;
}

.search-icon-more.search-icon-more-active{
    width: 100%;
    min-width: 240px;
    transition: 0.5s all ease 0.3s;
}

.search-svg{
    transition: 0.5s all ease;
}

.search-svg-active{
    stroke: black !important;
    transition: 0.5s all ease;
}


.modal-search{
    position: relative;
    display: flex;

}

input.search-input::focus{
    outline: none;
}

.search-active{
    background: white;
    & img{
        height: 20px;
    }

}


search-icon-mobile{
    height: 35px;
    padding: 0px 10px;
}

.search-icon-link{
    display: flex;
    background-color: rgba(255,255,255,0);
    padding: 4px 8px;
    align-items: center;
    transition: 0.5s all ease 0.3s;
}

.search-icon-link-active{

    background-color: rgba(255,255,255,1);
    transition: 0.5s all ease;


}


.search-icon-more-mobile{
    overflow: hidden;
    width: 98%;
    left: 1%;
    position: fixed;
    top: 4rem;
    height: 100%;
    max-height: 0px;
    transition: 0.5s all ease ;
    background-color: white;
    display: grid;
    grid-template-columns: 1fr 40px;
    & input {
        margin: 0px 4px;
        padding: 8px 10px; /* Add padding */
        font-size: 16px; /* Adjust font size */
        border-radius: 4px; /* Add border radius for rounded corners */
        transition: border-color 0.3s ease; /* Add transition for border color */

        &:focus {/* Change border color on focus */
            outline: none; /* Remove the default focus outline */
        }
    }
}

.search-icon-more-mobile.search-icon-more-mobile-active{
    padding: 0.5rem;
    height: 100%;
    max-height:70px;
    transition: 0.5s all ease 0.3s;
}




/*.swiper {*/
/*    width: 100%;*/
/*    height: 100%;*/
/*}*/

.swiper-slide {
    text-align: center;
    font-size: 18px;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
}

.swiper-slide img {
    display: block;
    /*width: 100%;*/
    /*height: 100%;*/
    object-fit: contain;
}


.swiper {
    width: 100%;
    height: 300px;
    /*margin-left: auto;*/
    /*margin-right: auto;*/
}

.swiper-slide {
    background-size: cover;
    background-position: center;
}

.mySwiper2 {
    min-height: 80vh;
    /*width: 100%;*/
}

.mySwiper {
    min-height: 80vh;
    box-sizing: border-box;
    width: 180px !important;
    /*padding: 10px;*/
}

.mySwiper .swiper-slide {
    /*width: 50% !important;*/
    /*height: 100% !important;*/
    opacity: 0.4;
}

.mySwiper .swiper-slide-thumb-active {
    opacity: 1;
}

.swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: contain !important;
}

/*.swipe-container-2{*/
/*    display: flex;*/
/*    flex-direction: column;*/
/*}*/

.easy-autocomplete{
    margin-right:10px !important;
}

.easy-autocomplete-container{
    
    padding:0px 5px;
    background-color:#fff;
    position:relative;
    z-index:1 !important; 



   
}

.easy-autocomplete-container ul{
    max-height: 50vh;
    overflow-y: scroll;
    margin-top: 5px;
}

.easy-autocomplete-container:focus{
    padding-bottom:15px;

}

.easy-autocomplete-container li {
    margin:10px 0px;
    padding: 0px 15px;
}

.eac-category{
    padding: 15px 10px 10px 10px;
    font-size:18px;
}

.eac-item:hover{

    background-color:#f1f2f2;
    
}

.eac-item a{
    display: flex;
    gap: 0.5rem;
}

.eac-item a img{
    min-height:50px;
    max-height:60px;
}


#map{
    height:100%;
}

#breadCrumbs a p::after{

    padding-left:.5rem;
    content:'|';
    display:inline;
    height:100%;
}

#breadCrumbs:last-of-type a p::after{

    padding-left:.5rem;
    content:'-----';
    display:inline;
    height:100%;
}

#breadCrumbs a:last-of-type p::after{
    padding-left:.5rem;
    content:'' !important;
    display:inline;
    height:100%;
}

#breadCrumbsDesktop a p::after{

    padding-left:.5rem;
    content:'|';
    color:black !important;
    display:inline;
    height:100%;
}

#breadCrumbsDesktop:last-of-type a p::after{

    padding-left:.5rem;
    content:'-----';
    display:inline;
    height:100%;
}

#breadCrumbsDesktop a:last-of-type p::after{
    padding-left:.5rem;
    content:'' !important;
    display:inline;
    height:100%;
}


.filledSortInputLabel::after{
    background-color:black;
}


.fancybox__container{
    z-index:10002 !important;
}


.fancybox-overlay {
    z-index: 10003 !important;
}


.strike{
    position:relative;
}
.strike::after {
    content: "";
    display: block;
    position: absolute;
    bottom: calc(50% - 1px);
    left: -10%;
    width: 120%;
    height: 2px;
    background-color: red;
  }

  #addNewAddress{
    padding:6px;
  }
  #addNewAddress #Layer_2{
    height:15px !important;
    rotate:45deg;
  }

  #closeNewAddressModal #Layer_2{
    height:20px !important;
  }

  .rotateOnHover:hover{
    animation:rotateOnHover 750ms linear infinite ;
  }


@keyframes rotateOnHover {
    0%{
        transform: rotate(0deg);
    }
    100%{
        transform: rotate(360deg);

    }
}




#cookie-bar {
    background: rgb(0,0,0);
    height: auto;
    line-height: 24px;
    color: rgba(177, 177, 177, 0.8);
    text-align: center;
    padding: 3px 0;
    z-index: 8000
}

    #cookie-bar.fixed {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
    }

        #cookie-bar.fixed.bottom {
            bottom: 0;
            top: auto;
        }

    #cookie-bar p {
        margin: 0;
        padding: 20px;
        color: white !important;
        font-size: 15px;
        text-align: center !important;
    }

    #cookie-bar a {
        color: #ffffff;
        display: inline-block;
        border-radius: 0px;
        text-decoration: none;
        padding: 10px;
        margin-left: 0px;
        font-size: 15px;
    }

    #cookie-bar .cb-enable {
        background: #212121;
    }

        #cookie-bar .cb-enable:hover {
            background: rgba(177, 177, 177, 0.8);
        }

    #cookie-bar .cb-disable {
        background: #990000;
    }

        #cookie-bar .cb-disable:hover {
            background: #bb0000;
        }

    #cookie-bar .cb-policy {
        background: #0033bb;
    }

        #cookie-bar .cb-policy:hover {
            background: #0055dd;
        }